clan::Quadf Class Reference - ClanLib SDK
Description: clan::Quadf Class Reference

Public Member Functions | List of all members
clan::Quadf Class Reference
clanCore Math

2D quad structure - Float More...

`#include <quad.h>`

Inheritance diagram for clan::Quadf:

## Public Member Functions
| Quadf ()
| Quadf (const Quadx< float > &quad)
| Quadf (const Rectf &rect)
| Quadf (const Vec2< float > &new_p, const Vec2< float > &new_q, const Vec2< float > &new_r, const Vec2< float > &new_s)
Public Member Functions inherited from clan::Quadx< float >
| Quadx ()
| Constructs a quad.
| Quadx (const Quadx< float > &quad)
| Constructs a quad.
| Quadx (const Rectx< float > &rect)
| Constructs a quad.
| Quadx (const Vec2< float > &new_p, const Vec2< float > &new_q, const Vec2< float > &new_r, const Vec2< float > &new_s)
| Constructs a quad.
Quadx< float > & | apply_alignment (Origin origin, float x, float y)
| Applies an origin and offset pair to this rectangle.
Vec2< float > | center () const
| Returns the center point of the quad.
Rect | get_bounds () const
| Returns the bounding box of the quad as a Rect.
float | get_height () const
| Returns the height of the quad.
Sizex< float > | get_size () const
| Returns the size of the rectangle.
float | get_width () const
| Returns the width of the quad.
bool | is_inside (const Vec2< float > &point) const
| Check if a point is inside or outside the quad.
bool | operator!= (const Quadx< float > &quad) const
| Quad != Quad operator.
Quadx< float > | operator+ (const Quadx< float > &quad) const
| Quad + Quad operator.
Quadx< float > | operator+ (const Vec2< float > &point) const
| Quad + Point operator.
Quadx< float > & | operator+= (const Quadx< float > &quad)
| Quad += Quad operator.
Quadx< float > & | operator+= (const Vec2< float > &point)
| Quad += Point operator.
Quadx< float > | operator- (const Quadx< float > &quad) const
| Quad - Quad operator.
Quadx< float > | operator- (const Vec2< float > &point) const
| Quad - Point operator.
Quadx< float > & | operator-= (const Quadx< float > &quad)
| Quad -= Quad operator.
Quadx< float > & | operator-= (const Vec2< float > &point)
| Quad -= Point operator.
bool | operator== (const Quadx< float > &quad) const
| Quad == Quad operator.
Quadx< float > & | rotate (const Vec2< float > &hotspot, const Angle &angle)
| Rotates the Quad.
Quadx< float > & | scale (const Vec2< float > &hotspot, float sx, float sy)
| Scale the Quad.
Quadx< float > & | scale (float sx, float sy)
| Scale the Quad.

## Additional Inherited Members
Public Attributes inherited from clan::Quadx< float >
Vec2< float > | p
| First Point.
Vec2< float > | q
| Second Point.
Vec2< float > | r
| Third Point.
Vec2< float > | s
| Fourth Point.

## Detailed Description

2D quad structure - Float

## Constructor & Destructor Documentation

## ◆ Quadf() [1/4]

clan::Quadf::Quadf | ( |  | ) |
| inline

## ◆ Quadf() [2/4]

clan::Quadf::Quadf | ( | const Vec2< float > & | new_p,
|  | const Vec2< float > & | new_q,
|  | const Vec2< float > & | new_r,
|  | const Vec2< float > & | new_s )
| inline

## ◆ Quadf() [3/4]

clan::Quadf::Quadf | ( | const Rectf & | rect | ) |
| inline

## ◆ Quadf() [4/4]

clan::Quadf::Quadf | ( | const Quadx< float > & | quad | ) |
| inline

The documentation for this class was generated from the following file:

- quad.h